--TEST--
\ValueError conditions for CSV::arrayToRow()
--SKIPIF--
<?php
if (!extension_loaded('csv')) {
	echo 'skip';
}
?>
--FILE--
<?php

$fields = [];

// Empty delimiter/enclosure/EOL sequence
try {
    var_dump(CSV::arrayToRow($fields, ''));
} catch (\ValueError $e) {
    echo $e->getMessage() . \PHP_EOL;
}

try {
    var_dump(CSV::arrayToRow($fields, ',', ''));
} catch (\ValueError $e) {
    echo $e->getMessage() . \PHP_EOL;
}

try {
    var_dump(CSV::arrayToRow($fields, ',', '"', ""));
} catch (\ValueError $e) {
    echo $e->getMessage() . \PHP_EOL;
}

// Same delimiter and enclosure
try {
    var_dump(CSV::arrayToRow($fields, ',', ','));
} catch (\ValueError $e) {
    echo $e->getMessage() . \PHP_EOL;
}

// Default value for the enclosure is "
try {
    var_dump(CSV::arrayToRow($fields, '"'));
} catch (\ValueError $e) {
    echo $e->getMessage() . \PHP_EOL;
}

// Delimiter or enclosure using the \r\n sequence
try {
    var_dump(CSV::arrayToRow($fields, "\r\n"));
} catch (\ValueError $e) {
    echo $e->getMessage() . \PHP_EOL;
}

// Default value for the enclosure is "
try {
    var_dump(CSV::arrayToRow($fields, ',', "\r\n"));
} catch (\ValueError $e) {
    echo $e->getMessage() . \PHP_EOL;
}

?>
--EXPECT--
CSV::arrayToRow(): Argument #2 ($delimiter) must not be empty
CSV::arrayToRow(): Argument #3 ($enclosure) must not be empty
CSV::arrayToRow(): Argument #4 ($eolSequence) must not be empty
CSV::arrayToRow(): Argument #3 ($enclosure) must not be identical to argument #2 ($delimiter)
CSV::arrayToRow(): Argument #3 ($enclosure) must not be identical to argument #2 ($delimiter)
CSV::arrayToRow(): Argument #4 ($eolSequence) must not be identical to argument #2 ($delimiter)
CSV::arrayToRow(): Argument #4 ($eolSequence) must not be identical to argument #3 ($enclosure)
