--TEST--
\ValueError conditions for CSV::rowToArray()
--SKIPIF--
<?php
if (!extension_loaded('csv')) {
	echo 'skip';
}
?>
--FILE--
<?php

$string = "";

// Empty delimiter/enclosure/EOL sequence
try {
    var_dump(CSV::rowToArray($string, ''));
} catch (\ValueError $e) {
    echo $e->getMessage() . \PHP_EOL;
}

try {
    var_dump(CSV::rowToArray($string, ',', ''));
} catch (\ValueError $e) {
    echo $e->getMessage() . \PHP_EOL;
}

try {
    var_dump(CSV::rowToArray($string, ',', '"', ""));
} catch (\ValueError $e) {
    echo $e->getMessage() . \PHP_EOL;
}

// Same delimiter and enclosure
try {
    var_dump(CSV::rowToArray($string, ',', ','));
} catch (\ValueError $e) {
    echo $e->getMessage() . \PHP_EOL;
}

// Default value for the enclosure is "
try {
    var_dump(CSV::rowToArray($string, '"'));
} catch (\ValueError $e) {
    echo $e->getMessage() . \PHP_EOL;
}

// Delimiter or enclosure using the \r\n sequence
try {
    var_dump(CSV::rowToArray($string, "\r\n"));
} catch (\ValueError $e) {
    echo $e->getMessage() . \PHP_EOL;
}

// Default value for the enclosure is "
try {
    var_dump(CSV::rowToArray($string, ',', "\r\n"));
} catch (\ValueError $e) {
    echo $e->getMessage() . \PHP_EOL;
}

?>
--EXPECT--
CSV::rowToArray(): Argument #2 ($delimiter) must not be empty
CSV::rowToArray(): Argument #3 ($enclosure) must not be empty
CSV::rowToArray(): Argument #4 ($eolSequence) must not be empty
CSV::rowToArray(): Argument #3 ($enclosure) must not be identical to argument #2 ($delimiter)
CSV::rowToArray(): Argument #3 ($enclosure) must not be identical to argument #2 ($delimiter)
CSV::rowToArray(): Argument #4 ($eolSequence) must not be identical to argument #2 ($delimiter)
CSV::rowToArray(): Argument #4 ($eolSequence) must not be identical to argument #3 ($enclosure)
