--TEST--
Test CSV::rowToArray() with multi byte delimiter
--SKIPIF--
<?php
if (!extension_loaded('csv')) {
	echo 'skip';
}
?>
--FILE--
<?php

$fields = [
    'Hello',
    'Field has spaces',
    'Has delimiter。 inside field',
    'Has field escape sequence " inside field',
    'Basic',
];

$csv_line = "Hello。Field has spaces。\"Has delimiter。 inside field\"。\"Has field escape sequence \"\" inside field\"。Basic\r\n";
var_dump($fields === CSV::rowToArray($csv_line, '。', '"'));
var_dump(CSV::rowToArray($csv_line, '。', '"'));

?>
--EXPECT--
bool(true)
array(5) {
  [0]=>
  string(5) "Hello"
  [1]=>
  string(16) "Field has spaces"
  [2]=>
  string(29) "Has delimiter。 inside field"
  [3]=>
  string(40) "Has field escape sequence " inside field"
  [4]=>
  string(5) "Basic"
}
